<Serializable()> Public Class Line
    Inherits GraphicBase

    Public Overrides Sub Draw(ByVal g As System.Drawing.Graphics, ByVal isPreview As Boolean)
        ' 描画する
        If isPreview Then
            ' プレビュー時
            g.DrawLine(PreviewPen, Position.X, Position.Y, Position.X + Size.Width, Position.Y + Size.Height)
        Else
            ' 非プレビュー時
            If Not LineColor.IsEmpty() Then
                Dim p As New Pen(LineColor)
                g.DrawLine(p, Position.X, Position.Y, Position.X + Size.Width, Position.Y + Size.Height)
                p.Dispose()
            End If
        End If
    End Sub
End Class
